@echo off
set maxt=100
set timeout=1

cls

set allt=0
set i=1

:next1

set /a i=%i%+1
if %i%==10 set i=1
color %i%

echo .

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .   ####    ##

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .   #      # #

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .   #     #  #

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .   ###  ##### #  #

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .   #    #   # #  #

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .   #    #   #  ###

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .                 #

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .                #

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo               Presents .....

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .

set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .
     
set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo .


set /a i=%i%+1
if %i%==10 set i=1
color %i%
echo   Listo.Bat INTRO!!! 10k BATCH file!


FOR /L %%i IN (1,1,10) DO command /c help >bak.bak
cls

set /A allt=%allt%+1

if not %allt%==15 goto next1


color F


set allt=0
set y1=1
set y2=0
set y3=0
set y4=10
call print_all.bat
FOR /L %%i IN (1,1,%timeout%) DO command /c help >bak.bak

set col=1
set st=+1

:next 

if %allt%==40 set st=-1

set /a col=%col%+1
if %col%==7 set col=1
color 0%col%


set /A y4=%y4%%st%
set /A y1=%y1%+1
set /A y2=%y2%+3
set /A y3=%y3%+2

if %y4%==27 set y4=0
if %y4%==-5 set y4=27
if %y1%==27 set y1=0
if %y2%==27 set y2=0
if %y3%==28 set y3=0

call print_all.bat

set /a allt2=%allt%*100/%maxt%
echo %allt2% %%
FOR /L %%i IN (1,1,%timeout%) DO command /c help >bak.bak

set /A allt=%allt%+1

if not %allt%==%maxt% goto next


cls

set allt=0
set i=1

:next2

set /a i=%i%+1
if %i%==10 set i=1
color F%i%

echo FAy Listo.Bat!  CC'05
echo .
echo Full software render! ;)
echo .
echo Used 4 poligons! ;)
echo .
echo       In this intro used only CMD.COM features.
echo .
echo       10k DEMO! .BAT-file - RULEZ!
echo .
echo                         Greetings Cr0lyX 'and' BelSUT team team!
echo .


FOR /L %%i IN (1,1,20) DO command /c help >bak.bak
cls

set /A allt=%allt%+1

if not %allt%==20 goto next2

cls 

echo 10x!